import React, { useState } from 'react';
import { Steps } from '@arco-design/web-react';
import { Col, Space, Row } from 'antd';
import { register } from '../../../../assets/images'


const Handle = () => {
    const [current, setCurrent] = useState(3);
    const Step = Steps.Step;

    return (
        <div style={{ position: 'relative' }}>
            <div style={{ backgroundColor: '#fff', margin: '12px 16px 0px 16px', paddingTop: '16px', paddingLeft: '91px' }}>
                <Steps type='navigation' current={current} onChange={setCurrent} style={{}}>
                    <Step title='来访登记' disabled />
                    <Step title='事件流转' disabled />
                    <Step title='办理反馈' disabled />
                    <Step title='结案审核' disabled />
                    <Step title='当事人评价' disabled />
                    <Step title='结案归档' disabled />
                </Steps>
            </div>
            <div>
                <div className='dataSync-page' style={{ height: 'fit-content', paddingBottom: '12px' }}>
                    <Col span={24}>
                        <Space size='small'>
                            <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>当事人信息</h5>
                        </Space>
                    </Col>
                    <Row gutter={[16, 16]}>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">承办部门：</div></div>
                            <div>天河区棠下街综治中心</div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">经办人：</div></div>
                            <div style={{ display: 'flex' }}>
                                <div>王一顺</div>
                                <img src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} />
                            </div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">配合部门：</div></div>
                            <div>-</div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">受理时间：</div></div>
                            <div>2024-7-5 11:45</div>
                        </Col>
                    </Row>

                </div>
                <div style={{ display: 'flex', flexDirection: 'row', columnGap: '8px', margin: '8px 16px 22px 16px' }}>
                    <div style={{ flex: 3, backgroundColor: '#fff' }}>
                        <div className='dataSync-page' style={{ margin: 0 }}>
                            <Col span={24}>
                                <Space size='small'>
                                    <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>办理反馈</h5>
                                </Space>
                            </Col>

                        </div>

                    </div>
                    <div style={{ flex: 1, backgroundColor: '#fff' }}>22</div>
                </div>
            </div>
        </div>
    )

}

export default Handle;